Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.volume
Class VolumetricSpaceArray

    java.lang.Object
      toxi.volume.VolumetricSpace
          toxi.volume.VolumetricSpaceArray

    public class VolumetricSpaceArray

extends VolumetricSpace

Field Summary

Fields inherited from class toxi.volume.VolumetricSpace
`halfScale, numCells, resX, resX1, resY, resY1, resZ, resZ1, scale, sliceRes, voxelSize`

Constructor Summary
`VolumetricSpaceArray(toxi.geom.Vec3D scale, int resX, int resY, int resZ)`

Method Summary
`void` | `clear()`
`void` | `closeSides()`
`float[]` | `getData()`
`float` | `getVoxelAt(int index)`
`float` | `getVoxelAt(int x, int y, int z)`
`void` | `saveData(java.lang.String fn)` Saves volume data float array in raw binary format.
`void` | `setVolumeSidesTo(float density)`
`void` | `setVoxelAt(int index, float value)`
`void` | `setVoxelAt(int x, int y, int z, float value)`

Methods inherited from class toxi.volume.VolumetricSpace
`getIndexFor, getResolution, getScale, setScale`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VolumetricSpaceArray

    public VolumetricSpaceArray(toxi.geom.Vec3D scale,
                                int resX,
                                int resY,
                                int resZ)

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in class `VolumetricSpace`

### closeSides

    public void closeSides()

  Overrides:
    `closeSides` in class `VolumetricSpace`

### getData

    public float[] getData()

### getVoxelAt

    public final float getVoxelAt(int index)

  Specified by:
    `getVoxelAt` in class `VolumetricSpace`

### getVoxelAt

    public final float getVoxelAt(int x,
                                  int y,
                                  int z)

### saveData

    public void saveData(java.lang.String fn)

  Saves volume data float array in raw binary format.

  Parameters:
    `fn` - absolute path/filename to save to

### setVolumeSidesTo

    public void setVolumeSidesTo(float density)

### setVoxelAt

    public final void setVoxelAt(int index,
                                 float value)

  Overrides:
    `setVoxelAt` in class `VolumetricSpace`

### setVoxelAt

    public final void setVoxelAt(int x,
                                 int y,
                                 int z,
                                 float value)

  Overrides:
    `setVoxelAt` in class `VolumetricSpace`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD